<p></p>
<form role="form" autocomplete="off">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-4 col-12">
                <div class="container">
                    <mat-form-field class="example-full-width">
                        <input matInput type="text" placeholder="Cliente"  
                        value="{{ ClientService.name}}" readonly>
                    </mat-form-field>               
                </div>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Usuario de autenticación" 
                    value="{{ virtualService.service_user }}" readonly>
                </mat-form-field>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                  <input matInput [type]="showPassword ? 'text' : 'password'" 
                    placeholder="Contraseña"  
                    value="{{  virtualService.password }}" readonly>
                    <mat-icon matSuffix (click)="showPassword = !showPassword">
                        <i class="material-icons">{{  showPassword ? 'visibility_off' : 'visibility' }}</i>
                    </mat-icon>
              </mat-form-field>
              </div>
        </div>
        <div class="row">
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Subject"  
                    value="{{ virtualService.subject }}" readonly>
                </mat-form-field>
            </div>  
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Nombre del servicio" 
                        value="{{ virtualService.name_servicio }}" readonly>
                </mat-form-field>
            </div>    
        </div>
        
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Estrategia" 
                        value="{{ virtualService.service_strategy }}" readonly>
                </mat-form-field>
            </div>
        </div>
        <br>
        <div mat-dialog-actions class="pull-right">
            <button class="btn btn-primary btn-sm mat-button-base" mat-raised-button 
                matDialogClose (click)="cancelar()">
                <span class="mat-button-wrapper"><i class="material-icons">close</i> Cancelar</span>
            </button>
            <button type="submit" class="btn btn-danger btn-sm mat-button-base" mat-raised-button 
                (click)="delect()">
                <span class="mat-button-wrapper"><i class="material-icons">delete</i> Eliminar</span>
            </button>
        </div>
    </div>
</form>